Package io.dapr.v1

# Interface DaprProtos.SubtleGetKeyResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SubtleGetKeyResponse`, `DaprProtos.SubtleGetKeyResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.SubtleGetKeyResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Name (or name/version) of the key.
`com.google.protobuf.ByteString`
`getNameBytes()`
Name (or name/version) of the key.
`String`
`getPublicKey()`
Public key, encoded in the requested format
`com.google.protobuf.ByteString`
`getPublicKeyBytes()`
Public key, encoded in the requested format

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()

     Name (or name/version) of the key.
     This is returned as response too in case there is a version.

`string name = 1;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()

     Name (or name/version) of the key.
     This is returned as response too in case there is a version.

`string name = 1;`

Returns:
  The bytes for name.

### getPublicKey

String getPublicKey()

     Public key, encoded in the requested format

`string public_key = 2 [json_name = "publicKey"];`

Returns:
  The publicKey.

### getPublicKeyBytes

com.google.protobuf.ByteString getPublicKeyBytes()

     Public key, encoded in the requested format

`string public_key = 2 [json_name = "publicKey"];`

Returns:
  The bytes for publicKey.